<?php

declare(strict_types=1);

namespace KupShop\SynchronizationBundle\Exception;

use KupShop\KupShopBundle\Util\Logging\CustomDataExceptionInterface;

class SynchronizationException extends \Exception implements CustomDataExceptionInterface
{
    private array $data;

    public function __construct(string $message = '', array $data = [], int $code = 0, ?\Throwable $previous = null)
    {
        parent::__construct($message, $code, $previous);

        $this->data = $data;
    }

    public function getData(): array
    {
        return $this->data;
    }
}
